## 系统后台体系
* spring_r7_20001  
## 系统模块
### 外部

| 实体编号    |    实体名称    |  实体类型     |  备注  |
| --------   |------------| -----   |  -------- | 
|SYXBJ|商业险报价|主实体|&nbsp;|
|ORG|机构|主实体|&nbsp;|
|JQXBJ|交强险报价|主实体|&nbsp;|
|CPXH|厂牌型号|主实体|&nbsp;|
|ORGUSER|人员|主实体|&nbsp;|
## 业务流程
   暂无业务流程

## 外部系统接口
   暂无外部系统接口

## 服务
* Web

## 系统应用
| 应用名称   |   应用类型     |  技术架构 | 技术模板 | 备注 |
| --------  | ------------ | -----------| -----------| -----------|
| 外部系统  | 网页应用（HTML5） | Vue R7(编译版）| vue_r7_20001  | &nbsp; |



## 支持数据库
### MYSQL5


#### **商业险报价** (T_SYXBJ)

| 字段        |    中文名称    | 类型    |  长度  |  备注  |
| --------   |------------| :-----:   | :----: | :--------- | 
| CREATEDATE        | 建立时间  | DATETIME      |   8   | &nbsp; |
| UPDATEDATE        | 更新时间  | DATETIME      |   8   | &nbsp; |
| JZBF        | 基准保费  |       |      | &nbsp; |
| SYXBJID        | 商业险报价标识  | VARCHAR      |   100   | 主键&nbsp; |
| TKDM        | 条款代码  | VARCHAR      |   100   | &nbsp; |
| PTFHXS        | 平台返回系数  |       |      | &nbsp; |
| SJBF        | 实交保费  |       |      | &nbsp; |
| CREATEMAN        | 建立人  | VARCHAR      |   60   | &nbsp; |
| UPDATEMAN        | 更新人  | VARCHAR      |   60   | &nbsp; |
| MD        | MD  | VARCHAR      |   2,000   | &nbsp; |
| SYXBJNAME        | 商业险报价名称  | VARCHAR      |   200   | &nbsp; |
| TKMC        | 条款名称  | VARCHAR      |   100   | &nbsp; |
| FL        | 费率  |       |      | &nbsp; |

表
```sql
CREATE TABLE `T_SYXBJ`(
`SYXBJNAME`  VARCHAR(200) COMMENT '商业险报价名称' 
,`FL`  DECIMAL(12,0) COMMENT '费率' 
,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' 
,`PTFHXS`  DECIMAL(12,0) COMMENT '平台返回系数' 
,`CREATEDATE`  DATETIME COMMENT '建立时间' 
,`UPDATEDATE`  DATETIME COMMENT '更新时间' 
,`JZBF`  DECIMAL(12,0) COMMENT '基准保费' 
,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' 
,`TKMC`  VARCHAR(100) COMMENT '条款名称' 
,`MD`  VARCHAR(2000) COMMENT 'MD' 
,`TKDM`  VARCHAR(100) COMMENT '条款代码' 
,`SJBF`  DECIMAL(12,0) COMMENT '实交保费' 
,`SYXBJID`  VARCHAR(100)  NOT NULL PRIMARY KEY COMMENT '商业险报价标识' 
)COMMENT='商业险报价';
```


#### **机构** (T_ORG)

| 字段        |    中文名称    | 类型    |  长度  |  备注  |
| --------   |------------| :-----:   | :----: | :--------- | 
| UPDATEDATE        | 更新时间  | DATETIME      |   8   | &nbsp; |
| ORGNAME        | 机构名称  | VARCHAR      |   200   | &nbsp; |
| UPDATEMAN        | 更新人  | VARCHAR      |   60   | &nbsp; |
| CREATEDATE        | 建立时间  | DATETIME      |   8   | &nbsp; |
| CREATEMAN        | 建立人  | VARCHAR      |   60   | &nbsp; |
| ORGID        | 机构标识  | VARCHAR      |   100   | 主键&nbsp; |
| PORGID        | 机构标识  | VARCHAR      |   100   | &nbsp; |
| PORGNAME        | 机构名称  | VARCHAR      |   200   | &nbsp; |

表
```sql
CREATE TABLE `T_ORG`(
`ORGID`  VARCHAR(100)  NOT NULL PRIMARY KEY COMMENT '机构标识' 
,`UPDATEDATE`  DATETIME COMMENT '更新时间' 
,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' 
,`ORGNAME`  VARCHAR(200) COMMENT '机构名称' 
,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' 
,`CREATEDATE`  DATETIME COMMENT '建立时间' 
,`PORGNAME`  VARCHAR(200) COMMENT '机构名称' 
,`PORGID`  VARCHAR(100) COMMENT '机构标识' 
)COMMENT='机构';
```


#### **交强险报价** (T_JQXBJ)

| 字段        |    中文名称    | 类型    |  长度  |  备注  |
| --------   |------------| :-----:   | :----: | :--------- | 
| UPDATEDATE        | 更新时间  | DATETIME      |   8   | &nbsp; |
| JQXBJNAME        | 交强险报价名称  | VARCHAR      |   200   | &nbsp; |
| FLXS        | 费率系数  |       |      | &nbsp; |
| TKMC        | 条款名称  | VARCHAR      |   100   | &nbsp; |
| ZRXE        | 责任限额  |       |      | &nbsp; |
| CREATEMAN        | 建立人  | VARCHAR      |   60   | &nbsp; |
| UPDATEMAN        | 更新人  | VARCHAR      |   60   | &nbsp; |
| JQXBJID        | 交强险报价标识  | VARCHAR      |   100   | 主键&nbsp; |
| SJBF        | 实交保费  |       |      | &nbsp; |
| CREATEDATE        | 建立时间  | DATETIME      |   8   | &nbsp; |
| TKDM        | 条款代码  | VARCHAR      |   100   | &nbsp; |
| JZBF        | 基准保费  |       |      | &nbsp; |

表
```sql
CREATE TABLE `T_JQXBJ`(
`FLXS`  DECIMAL(12,0) COMMENT '费率系数' 
,`JQXBJNAME`  VARCHAR(200) COMMENT '交强险报价名称' 
,`CREATEDATE`  DATETIME COMMENT '建立时间' 
,`SJBF`  DECIMAL(12,0) COMMENT '实交保费' 
,`ZRXE`  DECIMAL(12,0) COMMENT '责任限额' 
,`UPDATEDATE`  DATETIME COMMENT '更新时间' 
,`JQXBJID`  VARCHAR(100)  NOT NULL PRIMARY KEY COMMENT '交强险报价标识' 
,`TKDM`  VARCHAR(100) COMMENT '条款代码' 
,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' 
,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' 
,`TKMC`  VARCHAR(100) COMMENT '条款名称' 
,`JZBF`  DECIMAL(12,0) COMMENT '基准保费' 
)COMMENT='交强险报价';
```


#### **厂牌型号** (T_CPXH)

| 字段        |    中文名称    | 类型    |  长度  |  备注  |
| --------   |------------| :-----:   | :----: | :--------- | 
| HDZZL        | 核定载质量  |       |      | &nbsp; |
| CREATEMAN        | 建立人  | VARCHAR      |   60   | &nbsp; |
| XCGZJ        | 新车购置价  |       |      | &nbsp; |
| DYCPXH        | 打印厂牌型号  | VARCHAR      |   100   | &nbsp; |
| CX        | 车系  | VARCHAR      |   100   | &nbsp; |
| UPDATEDATE        | 更新时间  | DATETIME      |   8   | &nbsp; |
| BZ        | 备注  | VARCHAR      |   100   | &nbsp; |
| CPXHID        | 厂牌型号标识  | VARCHAR      |   100   | 主键&nbsp; |
| CLSJJZ        | 车辆实际价值  |       |      | &nbsp; |
| PL        | 排量  |       |      | &nbsp; |
| SCCS        | 生产厂商  | VARCHAR      |   100   | &nbsp; |
| SSNF        | 上市年份  | VARCHAR      |   100   | &nbsp; |
| PP        | 品牌  | VARCHAR      |   100   | &nbsp; |
| ZBZL        | 整备质量  |       |      | &nbsp; |
| UPDATEMAN        | 更新人  | VARCHAR      |   60   | &nbsp; |
| BM        | 别名  | VARCHAR      |   100   | &nbsp; |
| CPXHNAME        | 厂牌型号名称  | VARCHAR      |   200   | &nbsp; |
| HDZK        | 核定载客  | INTEGER      |      | &nbsp; |
| ABL        | A/B类  | VARCHAR      |   60   | &nbsp; |
| HPDS        | 号牌底色  | VARCHAR      |   60   | &nbsp; |
| GL        | 功率  |       |      | &nbsp; |
| CREATEDATE        | 建立时间  | DATETIME      |   8   | &nbsp; |
| CLLXMS        | 车辆类型描述  | VARCHAR      |   100   | &nbsp; |
| CXDM        | 车型代码  | VARCHAR      |   100   | &nbsp; |

表
```sql
CREATE TABLE `T_CPXH`(
`GL`  DECIMAL(12,0) COMMENT '功率' 
,`BM`  VARCHAR(100) COMMENT '别名' 
,`HPDS`  VARCHAR(60) COMMENT '号牌底色' 
,`BZ`  VARCHAR(100) COMMENT '备注' 
,`CPXHNAME`  VARCHAR(200) COMMENT '厂牌型号名称' 
,`XCGZJ`  DECIMAL(12,0) COMMENT '新车购置价' 
,`SSNF`  VARCHAR(100) COMMENT '上市年份' 
,`HDZZL`  DECIMAL(12,0) COMMENT '核定载质量' 
,`CREATEDATE`  DATETIME COMMENT '建立时间' 
,`ABL`  VARCHAR(60) COMMENT 'A/B类' 
,`CLLXMS`  VARCHAR(100) COMMENT '车辆类型描述' 
,`HDZK`  INTEGER COMMENT '核定载客' 
,`ZBZL`  DECIMAL(12,0) COMMENT '整备质量' 
,`UPDATEDATE`  DATETIME COMMENT '更新时间' 
,`PP`  VARCHAR(100) COMMENT '品牌' 
,`DYCPXH`  VARCHAR(100) COMMENT '打印厂牌型号' 
,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' 
,`CXDM`  VARCHAR(100) COMMENT '车型代码' 
,`PL`  DECIMAL(12,0) COMMENT '排量' 
,`CPXHID`  VARCHAR(100)  NOT NULL PRIMARY KEY COMMENT '厂牌型号标识' 
,`SCCS`  VARCHAR(100) COMMENT '生产厂商' 
,`CLSJJZ`  DECIMAL(12,0) COMMENT '车辆实际价值' 
,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' 
,`CX`  VARCHAR(100) COMMENT '车系' 
)COMMENT='厂牌型号';
```


#### **人员** (T_ORGUSER)

| 字段        |    中文名称    | 类型    |  长度  |  备注  |
| --------   |------------| :-----:   | :----: | :--------- | 
| ORGUSERID        | 人员标识  | VARCHAR      |   100   | 主键&nbsp; |
| UPDATEDATE        | 更新时间  | DATETIME      |   8   | &nbsp; |
| ORGUSERNAME        | 人员名称  | VARCHAR      |   200   | &nbsp; |
| UPDATEMAN        | 更新人  | VARCHAR      |   60   | &nbsp; |
| CREATEMAN        | 建立人  | VARCHAR      |   60   | &nbsp; |
| ORGID        | 机构标识  | VARCHAR      |   100   | &nbsp; |
| ORGNAME        | 机构名称  | VARCHAR      |   200   | &nbsp; |
| CREATEDATE        | 建立时间  | DATETIME      |   8   | &nbsp; |

表
```sql
CREATE TABLE `T_ORGUSER`(
`ORGUSERNAME`  VARCHAR(200) COMMENT '人员名称' 
,`CREATEMAN`  VARCHAR(60) COMMENT '建立人' 
,`CREATEDATE`  DATETIME COMMENT '建立时间' 
,`ORGUSERID`  VARCHAR(100)  NOT NULL PRIMARY KEY COMMENT '人员标识' 
,`UPDATEDATE`  DATETIME COMMENT '更新时间' 
,`UPDATEMAN`  VARCHAR(60) COMMENT '更新人' 
,`ORGNAME`  VARCHAR(200) COMMENT '机构名称' 
,`ORGID`  VARCHAR(100) COMMENT '机构标识' 
)COMMENT='人员';
```

## 数据字典

## AB类

| 数据项        |    数据值   |  备注  |
| --------   |------------| --------- | 
|A-进口|A|&nbsp;|
|B-国产|B|&nbsp;|
## 号牌底色

| 数据项        |    数据值   |  备注  |
| --------   |------------| --------- | 
|蓝色|A1|&nbsp;|
|黄色|A2|&nbsp;|
|绿色|A3|&nbsp;|
|黑色|A4|&nbsp;|
## 车辆类型描述

| 数据项        |    数据值   |  备注  |
| --------   |------------| --------- | 
|轿车|A1|&nbsp;|
|客车|A2|&nbsp;|
